@echo off
color 0a
title Update Remote Files 1.0
pushd "%~dp0"

SETLOCAL ENABLEEXTENSIONS
SETLOCAL ENABLEDELAYEDEXPANSION

set FILE_NAME=%~n0
set LOG_FILE=%FILE_NAME%.log

for /f "usebackq eol=# tokens=1* delims==" %%i in ("conf\%FILE_NAME%.ini") do (
	if "%%i" equ "WAR_FILE" (
		set %%i=%%~j
	) else (
		set %%i=%%j
	)
)

choice /c yN /cs /t 3 /d y /m "Update now?"
if %ERRORLEVEL% neq 1 (
	echo You gave up the update.
	ping /n 3 127.0.0.1 > nul
	exit
)

:LOGIN
if exist "conf\%FILE_NAME%.bin" del "conf\%FILE_NAME%.bin"
cd . > "conf\%FILE_NAME%.tmp"
cd . > "conf\%FILE_NAME%.sf"
cd . > "%LOG_FILE%"
>> "conf\%FILE_NAME%.sf" echo bell
>> "conf\%FILE_NAME%.sf" echo open %HOST%
>> "conf\%FILE_NAME%.sf" echo user %USERNAME% %PASSWORD%
>> "conf\%FILE_NAME%.sf" echo binary
>> "conf\%FILE_NAME%.sf" echo put "conf\%FILE_NAME%.tmp"
>> "conf\%FILE_NAME%.sf" echo get "%FILE_NAME%.tmp" "conf\%FILE_NAME%.bin"
>> "conf\%FILE_NAME%.sf" echo delete "%FILE_NAME%.tmp"
for /f "usebackq eol=# tokens=1* delims==" %%i in ("conf\%FILE_NAME%.ini") do (
	if "%%i" equ "FILE" (
		if "%%~j" neq "" (
			if exist "%%~j" (
				>> "conf\%FILE_NAME%.sf" echo put "%%~j"
				>> "%LOG_FILE%" echo Updated: "%%~j"
			)
		)
	)
)
>> "conf\%FILE_NAME%.sf" echo quit

ftp -n -s:"conf\%FILE_NAME%.sf"
del "conf\%FILE_NAME%.sf"
del "conf\%FILE_NAME%.tmp"
if not exist "conf\%FILE_NAME%.bin" (
	echo Login failed.
	goto :NORMAL_EXIT
)
del "conf\%FILE_NAME%.bin"
echo Completed.

:NORMAL_EXIT
pause
exit
